### Class

# Msg User

#### Description [src]

    final class Msg.User : GObject.Object
    {
      /* No available fields */
    }

Handling of user specific functions.

#### Ancestors

- GObject

#### Constructors

###### msg_user_new

Creates a new `MsgUser`.

###### msg_user_new_from_json

Creates a new `MsgUser` from json response object.

#### Instance methods

###### msg_user_get_company_name

No description available.

###### msg_user_get_department

No description available.

###### msg_user_get_display_name

No description available.

###### msg_user_get_given_name

No description available.

###### msg_user_get_mail

No description available.

###### msg_user_get_mail_name

No description available.

###### msg_user_get_mobile_phone

No description available.

###### msg_user_get_office_location

No description available.

###### msg_user_get_surname

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgUserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.